OGRE: Ogre::BspRaySceneQuery Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::BspRaySceneQuery Class Reference
Plugins » BSPSceneManager

BSP specialisation of RaySceneQuery. More...

`#include <OgreBspSceneManager.h>`

Inheritance diagram for Ogre::BspRaySceneQuery:
[legend]

## Public Member Functions
| BspRaySceneQuery (SceneManager *creator)
| ~BspRaySceneQuery ()
void | execute (RaySceneQueryListener *listener) override
| See RaySceneQuery.
const std::set< WorldFragmentType > * | getSupportedWorldFragmentTypes () const
| Returns the types of world fragments this query supports.
WorldFragmentType | getWorldFragmentType (void) const
| Gets the current world fragment types to be returned from the query.
void | setWorldFragmentType (enum WorldFragmentType wft)
| Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed.
Public Member Functions inherited from Ogre::DefaultRaySceneQuery
| DefaultRaySceneQuery (SceneManager *creator)
| ~DefaultRaySceneQuery ()
void | execute (RaySceneQueryListener *listener) override
| Executes the query and returns each match through a listener interface.
Public Member Functions inherited from Ogre::RaySceneQuery
| RaySceneQuery (SceneManager *mgr)
virtual | ~RaySceneQuery ()
void | clearResults (void)
| Clears the results of the last query execution.
virtual RaySceneQueryResult & | execute (void)
| Executes the query, returning the results back in one list.
const RaySceneQueryResult & | getLastResults (void) const
| Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.
virtual ushort | getMaxResults (void) const
| Gets the maximum number of results returned from the query (only relevant if results are being sorted).
virtual const Ray & | getRay (void) const
| Gets the ray which is to be used for this query.
virtual bool | getSortByDistance (void) const
| Gets whether the results are sorted by distance.
bool | queryResult (MovableObject *obj, Real distance) override
| Self-callback in order to deal with execute which returns collection.
bool | queryResult (SceneQuery::WorldFragment *fragment, Real distance) override
| Self-callback in order to deal with execute which returns collection.
virtual void | setRay (const Ray &ray)
| Sets the ray which is to be used for this query.
virtual void | setSortByDistance (bool sort, ushort maxresults=0)
| Sets whether the results of this query will be sorted by distance along the ray.
Public Member Functions inherited from Ogre::SceneQuery
| SceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~SceneQuery ()
virtual uint32 | getQueryMask (void) const
| Returns the current mask for this query.
virtual uint32 | getQueryTypeMask (void) const
| Returns the current mask for this query.
virtual void | setQueryMask (uint32 mask)
| Sets the mask for results of this query.
virtual void | setQueryTypeMask (uint32 mask)
| Sets the type mask for results of this query.
Public Member Functions inherited from Ogre::RaySceneQueryListener
virtual | ~RaySceneQueryListener ()

## Additional Inherited Members
Public Types inherited from Ogre::SceneQuery
typedef Ogre::WorldFragment | WorldFragment

## Detailed Description

BSP specialisation of RaySceneQuery.

## Constructor & Destructor Documentation

## ◆ BspRaySceneQuery()

Ogre::BspRaySceneQuery::BspRaySceneQuery | ( | SceneManager * | creator | ) |

## ◆ ~BspRaySceneQuery()

Ogre::BspRaySceneQuery::~BspRaySceneQuery | ( |  | ) |

## Member Function Documentation

## ◆ setWorldFragmentType()

void Ogre::BspRaySceneQuery::setWorldFragmentType | ( | enum WorldFragmentType | wft | ) |
| inline

Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed.

The application receiving the world geometry is expected to know what to do with it; inevitably this means that the application must have knowledge of at least some of the structures used by the custom SceneManager.

  The default setting is WFT_NONE.

References OgreAssert.

## ◆ getWorldFragmentType()

WorldFragmentType Ogre::BspRaySceneQuery::getWorldFragmentType | ( | void |  | ) | const
| inline

Gets the current world fragment types to be returned from the query.

## ◆ getSupportedWorldFragmentTypes()

const std::set< WorldFragmentType > * Ogre::BspRaySceneQuery::getSupportedWorldFragmentTypes | ( |  | ) | const
| inline

Returns the types of world fragments this query supports.

## ◆ execute()

void Ogre::BspRaySceneQuery::execute | ( | RaySceneQueryListener * | listener | ) |
| overridevirtual

See RaySceneQuery.

Implements Ogre::RaySceneQuery.

References Ogre::Math::POS_INFINITY.

The documentation for this class was generated from the following file:

- OgreBspSceneManager.h